Bug 1002678 - WHQL tests "Create surface" fails.
WHQL tests "Create surface" fails.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-qxl-driver-win (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: David Blechter
SPICE QE bug list
spice
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 13:25 EDT by Bill Sanford
Modified: 2016-02-10 15:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 16:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XML files with the "Create Surface" errors (10.00 KB, application/gzip)
2013-08-29 13:26 EDT, Bill Sanford
no flags Details

  None (edit)
Description Bill Sanford 2013-08-29 13:25:59 EDT
Description of problem:
The error entry from the XML file:

"CreateSurface() call inside LoadBitmap() failed, rc=563 (0x88760233:DDERR_NODIRECTDRAWHW)" CA="9525465" LA="9525592"

Version-Release number of selected component (if applicable):
Windows 7x86 on RHEL 6.4

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Tests fail

Expected results:
Tests pass

Additional info:
Comment 1 Bill Sanford 2013-08-29 13:26:53 EDT
Created attachment 791906 [details]
XML files with the "Create Surface" errors
Comment 2 Bill Sanford 2013-08-29 13:41:27 EDT
This was tested with qxl-win-unsigned-0.1-18
Comment 3 Bill Sanford 2013-09-03 10:10:09 EDT
I ran the new HCK tests against a Windows 7x86 VM.
Comment 4 David Blechter 2013-09-19 12:42:41 EDT
No HCK testing for 3.3, all qxl driver should pass WLK.

Moving to the future for now if we will switch to HCK
Comment 7 David Blechter 2015-09-09 16:31:13 EDT
no needs for keeping it for 2 years.

Note You need to log in before you can comment on or make changes to this bug.